CGAL 6.1.2 - 2D Arrangements: CGAL::Arr_polycurve_traits_2< SubcurveTraits_2 >::Push_back_2 Class Reference

CGAL 6.1.2 - 2D Arrangements

Loading...
Searching...
No Matches
List of all members
CGAL::Arr_polycurve_traits_2< SubcurveTraits_2 >::Push_back_2 Class Reference

`#include <CGAL/Arr_polycurve_traits_2.h>`

## Definition

template<typename SubcurveTraits_2>
class CGAL::Arr_polycurve_traits_2< SubcurveTraits_2 >::Push_back_2

Functor to augment a polycurve by either adding a vertex or a subcurve at the back.

## Operations
void | operator() (Curve_2 &cv, const Subcurve_2 &subcurve) const
| appends a subcurve `subcurve` to an existing polycurve `cv` at the back.
void | operator() (X_monotone_curve_2 &xcv, const X_monotone_subcurve_2 &subcurve) const
| appends a subcurve `subcurve` to an existing \(x\)-monotone polycurve `xcv` at the back.

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename SubcurveTraits_2 >

void CGAL::Arr_polycurve_traits_2< SubcurveTraits_2 >::Push_back_2::operator() | ( | Curve_2 & | cv,
|  | const Subcurve_2 & | subcurve
| ) |  | const

appends a subcurve `subcurve` to an existing polycurve `cv` at the back.

If `cv` is empty, `subcurve` will be its first subcurve.

Parameters

  cv | a polycurve. Note, `cv` is (not necessarily) \(x\)-monotone.
  subcurve | a subcurve (not necessarily \(x\)-monotone) to be appended to `cv`

## ◆ operator()() [2/2]

template<typename SubcurveTraits_2 >

void CGAL::Arr_polycurve_traits_2< SubcurveTraits_2 >::Push_back_2::operator() | ( | X_monotone_curve_2 & | xcv,
|  | const X_monotone_subcurve_2 & | subcurve
| ) |  | const

appends a subcurve `subcurve` to an existing \(x\)-monotone polycurve `xcv` at the back.

If `xcv` is empty, `subcurve` will be its first subcurve.

Parameters

  xcv | existing \(x\)-monotone polycurve
  subcurve | the subcurve to be added

Precondition
  If `xcv` is not empty then `subcurve` extends `xcv` to the right if `xcv` is oriented right-to-left. Otherwise, `subcurve` extends `xcv` to the left.
  `subcurve` is not degenerated.
  `xcv` and `subcurve` should have the same orientation